Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
check_call_graphs.h File Reference
`#include <algorithm>`
`#include <assert.h>`
`#include <functional>`
`#include <map>`
`#include <numeric>`
`#include <stdio.h>`
`#include <string.h>`
`#include "Halide.h"`

Go to the source code of this file.

## Classes
class | CheckCalls

## Typedefs
typedef std::map< std::string, std::vector< std::string > > | CallGraphs

## Functions
int | check_call_graphs (Halide::Pipeline p, CallGraphs &expected)
template<typename T , typename F >
int | check_image2 (const Halide::Buffer< T > &im, const F &func)
template<typename T , typename F >
int | check_image3 (const Halide::Buffer< T > &im, const F &func)
template<typename T , typename F >
auto | check_image (const Halide::Buffer< T > &im, const F &func) -> decltype(std::declval< F >()(0, 0), int())

## Typedef Documentation

## ◆ CallGraphs

typedef std::map<std::string, std::vector<std::string> > CallGraphs

Definition at line 14 of file check_call_graphs.h.

## Function Documentation

## ◆ check_call_graphs()

int check_call_graphs | ( | Halide::Pipeline | p,
|  | CallGraphs & | expected
| ) |  |
| inline

Definition at line 52 of file check_call_graphs.h.

References Halide::Pipeline::add_custom_lowering_pass(), CheckCalls::calls, Halide::Pipeline::compile_to_module(), and Halide::Pipeline::infer_arguments().

## ◆ check_image2()

template<typename T , typename F >

int check_image2 | ( | const Halide::Buffer< T > & | im,
|  | const F & | func
| ) |  |
| inline

Definition at line 94 of file check_call_graphs.h.

Referenced by check_image().

## ◆ check_image3()

template<typename T , typename F >

int check_image3 | ( | const Halide::Buffer< T > & | im,
|  | const F & | func
| ) |  |
| inline

Definition at line 109 of file check_call_graphs.h.

## ◆ check_image()

template<typename T , typename F >

auto check_image | ( | const Halide::Buffer< T > & | im,
|  | const F & | func
| ) |  | -> decltype(std::declval<F>()(0, 0), int())
| inline

Definition at line 127 of file check_call_graphs.h.

References check_image2().